List ChatKit thread items
client.Beta.ChatKit.Threads.ListItems(ctx, threadID, query) (*ConversationCursorPage[ChatKitThreadItemListDataUnion], error)
GET
/chatkit/threads/{thread_id}/itemsList ChatKit thread items
package main
import (
"context"
"fmt"
"github.com/openai/openai-go"
"github.com/openai/openai-go/option"
)
func main() {
client := openai.NewClient()
page, err := client.Beta.ChatKit.Threads.ListItems(
context.TODO(),
"cthr_123",
openai.BetaChatKitThreadListItemsParams{
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
{
"data": [
{
"id": "cthi_user_001",
"object": "chatkit.thread_item",
"type": "chatkit.user_message",
"content": [
{
"type": "input_text",
"text": "I need help debugging an onboarding issue."
}
],
"attachments": [],
"created_at": 1712345600,
"thread_id": "cthr_abc123",
"inference_options": null
},
{
"id": "cthi_assistant_002",
"object": "chatkit.thread_item",
"type": "chatkit.assistant_message",
"content": [
{
"type": "output_text",
"text": "Let's start by confirming the workflow version you deployed.",
"annotations": []
}
],
"created_at": 1712345601,
"thread_id": "cthr_abc123"
}
],
"has_more": false,
"object": "list",
"first_id": "cthi_user_001",
"last_id": "cthi_assistant_002"
}
Returns Examples
{
"data": [
{
"id": "cthi_user_001",
"object": "chatkit.thread_item",
"type": "chatkit.user_message",
"content": [
{
"type": "input_text",
"text": "I need help debugging an onboarding issue."
}
],
"attachments": [],
"created_at": 1712345600,
"thread_id": "cthr_abc123",
"inference_options": null
},
{
"id": "cthi_assistant_002",
"object": "chatkit.thread_item",
"type": "chatkit.assistant_message",
"content": [
{
"type": "output_text",
"text": "Let's start by confirming the workflow version you deployed.",
"annotations": []
}
],
"created_at": 1712345601,
"thread_id": "cthr_abc123"
}
],
"has_more": false,
"object": "list",
"first_id": "cthi_user_001",
"last_id": "cthi_assistant_002"
}